Thread

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Functions
Thread
Eina C++ » Tools

## Data Structures
struct | efl::eina::thread_id
| Thread identifier. More...
struct | efl::eina::thread
| Provides an OOP interface to the `Eina_Thread` and automatic resource allocation and deallocation using the RAII programming idiom. More...

## Functions
bool | efl::eina::operator<= (thread_id lhs, thread_id rhs)
| Less than or equal comparison of thread identifiers. More...
bool | efl::eina::operator> (thread_id lhs, thread_id rhs)
| More than comparison of thread identifiers. More...
bool | efl::eina::operator>= (thread_id lhs, thread_id rhs)
| More than or equal comparison of thread identifiers. More...
void | efl::eina::swap (thread &lhs, thread &rhs)
| Exchanges the underlying handles of two thread objects. More...

## Detailed Description

## Function Documentation

bool efl::eina::operator<= | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| inline

Less than or equal comparison of thread identifiers.

Parameters

  lhs | `thread_id` at the left side of the expression.
  rhs | `thread_id` at the right side of the expression.

Returns
  `true` if `lhs` is less than or equal to `rhs`, `false` otherwise.

Note
  The order established by relational operators is implementation-defined.

bool efl::eina::operator> | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| inline

More than comparison of thread identifiers.

Parameters

  lhs | `thread_id` at the left side of the expression.
  rhs | `thread_id` at the right side of the expression.

Returns
  `true` if `lhs` is more than `rhs`, `false` otherwise.

Note
  The order established by relational operators is implementation-defined.

bool efl::eina::operator>= | ( | thread_id | lhs,
|  | thread_id | rhs
| ) |  |
| inline

More than or equal comparison of thread identifiers.

Parameters

  lhs | `thread_id` at the left side of the expression.
  rhs | `thread_id` at the right side of the expression.

Returns
  `true` if `lhs` is more than or equal to `rhs`, `false` otherwise.

Note
  The order established by relational operators is implementation-defined.

void efl::eina::swap | ( | thread & | lhs,
|  | thread & | rhs
| ) |  |
| inline

Exchanges the underlying handles of two thread objects.

Parameters

  lhs | First thread object.
  rhs | Second thread object.

References eina_thread_self(), and efl::eina::thread::swap().

Referenced by efl::eina::thread::swap().